Bug 982342 - Remove the v1 --> v2 upgrade code
Remove the v1 --> v2 upgrade code
Status: CLOSED NEXTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.3.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 14:21 EDT by Randy Barlow
Modified: 2013-09-09 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 15:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-07-08 14:21:28 EDT
To avoid the complexity of maintaining seldom used and seldom tested code, we should remove the upgrade script for moving from pulp 1.x to 2.x from our codebase. As long as we keep the 2.2.x series in our repos, it should be a safe plan to require users to upgrade from 1.x to 2.2.x, run the upgrade script, and then upgrade from there to whatever the latest version of Pulp is.
Comment 1 Michael Hrivnak 2013-08-02 15:33:01 EDT
There is now a story for this scheduled for the August sprint.

Note You need to log in before you can comment on or make changes to this bug.